Name:		console_bridge
Version:	1.0.0
Release:	2
Summary:	This is ROS melodic ros_comm's 3rdparty console_bridge
License:	GPL
URL:		https://github.com/ros/console_bridge/releases/tag/1.0.0
Source0:	https://github.com/ros/console_bridge/archive/1.0.0.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	boost-devel

%description
This is ROS melodic ros_comm's 3rdparty console_bridge.

%prep
%setup

%install
mkdir build/
cd build/
cmake ..
make 
make install
cd ..

#install
mkdir -p %{buildroot}/usr/local/
cp -r install/* %{buildroot}/usr/local/

#Strip dynamic library
find %{buildroot} -type f -name 'libconsole_bridge.so.1.0' -exec strip '{}' \;

%files
%defattr(-,root,root)
/usr/local/*


%changelog
* Tue Sep 07 2021 lingsheng <lingsheng@huawei.com> - 1.0.0-2
- Strip dynamic library

* Thu Dec 31 2020 openEuler Buildteam <hanhaomin008@126.com> - 1.0.0-1
- Package init


